package main

import (
	"fmt"
	"strings"
	"unicode"
)

func main() {

	// text, _ := bufio.NewReader(os.Stdin).ReadString('\n')
	// text = strings.Trim(text, "\n\r")
	// rs := []rune(text)
	// if (unicode.IsUpper(rs[0])) && (strings.HasSuffix(text, ".")) {

	// 	fmt.Println("Right")
	// } else {
	// 	fmt.Println("Wrong")
	// }

	/*
		text, _ := bufio.NewReader(os.Stdin).ReadString('\n')
		text = strings.TrimRight(text, "\n")
		rs := []rune(text)
		if unicode.IsUpper(rs[0]) && rs[len(rs)-1] == '.' {
			fmt.Println("Right")
		} else {
			fmt.Println("Wrong")
		}
	*/
	/*
		text, _ := bufio.NewReader(os.Stdin).ReadString('\n')
		text = strings.TrimRight(text, "\n")
		firstChar, _ := utf8.DecodeRuneInString(text)
		lastChar, _ := utf8.DecodeLastRuneInString(text)
		if unicode.IsUpper(firstChar) && lastChar == '.' {
			fmt.Println("Right")
		} else {
			fmt.Println("Wrong")
		}
	*/
	// poly()
	// inString()
	// oddSimbol()
	// delSimbol()
	password()
}

func poly() {
	/*
		text, _ := bufio.NewReader(os.Stdin).ReadString('\n')
		text = strings.TrimRight(text, "\n\r")
		rs := []rune(text)
		var res bool = true
		for i := range rs {
			// fmt.Println(rs[i], rs[len(rs)-(1+i)])
			if rs[i] != rs[len(rs)-(1+i)] {
				res = false
			}
			if i == len(rs)/2-1 {
				break
			}
		}
		if res == true {
			fmt.Println("Палиндром")
		} else {
			fmt.Println("Нет")
		}
	*/
	var s, r string
	fmt.Scan(&s)
	for _, i := range s {
		r = string(i) + r
	}
	fmt.Println(r)
	if s == r {
		fmt.Println("Палиндром")
	} else {
		fmt.Println("Нет")
	}
}

func inString() {
	var x, s string
	fmt.Scan(&x, &s)
	fmt.Println(strings.Index(x, s))
}

func oddSimbol() {
	var s, newString string
	fmt.Scan(&s)
	for i, v := range s {
		if i%2 != 0 {
			newString += string(v)
		}
	}
	fmt.Println(newString)
}

func delSimbol() {
	var s, newString string
	fmt.Scan(&s)

	for _, v := range s {
		if strings.Count(s, string(v)) == 1 {
			newString += string(v)
		}
	}
	fmt.Println(newString)
}

func password() {
	var pas string
	var res bool = true
	fmt.Scan(&pas)
	rpas := []rune(pas)
	if len(rpas) < 5 {
		fmt.Println("Wrong password")
		return
	}
	for i := range rpas {
		if unicode.Is(unicode.Latin, rpas[i]) == false && unicode.IsDigit(rpas[i]) == false {
			res = false
			break
		}
	}
	if res == false {
		fmt.Println("Wrong password")
	} else {
		fmt.Println("Ok")
	}
}
